Subject: [Idr] Fwd: I-D ACTION:draft-lefaucheur-idr-v4nlri-v6nh-01.txt

From: Francois Le Faucheur IMAP <[email-masked]>
Date: Wed, 20 Dec 2006 09:59:56 +0100

Hello,

As promised, here is the updated version that we'd like to be  
accepted as Working Group document.

It addresses comments received on the list as well as off-lists  
comments. The main changes are:
	- clarifications that the extension is not to be used where existing  
solutions exist (such as 6PE, 6VPE, 2547bis)
	- clarification that the extension is not expected to be used with  
new AFI/SAFIs, whose definition can include multiple next hop formats  
from the onset
	- discussed relationship bw AFI/SAFI values between included in the  
new Capability vs AFI/SAFI value included in existing MP_BGP cap
	- statement about possible use of Dynamic Capability with the new  
Capability

Cheers

Francois

Begin forwarded message:

> From: [email-masked]
> Date: 19 December 2006 21:50:02 GMT+01:00
> To: [email-masked]
> Subject: I-D ACTION:draft-lefaucheur-idr-v4nlri-v6nh-01.txt
> Reply-To: [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
>
> 	Title		: Advertising an IPv4 NLRI with an IPv6 Next Hop
> 	Author(s)	: F. Le Faucheur, E. Rosen
> 	Filename	: draft-lefaucheur-idr-v4nlri-v6nh-01.txt
> 	Pages		: 12
> 	Date		: 2006-12-19
> 	
> MultiProtocol-BGP (MP-BGP) specifies that the set of Network Layer
>    protocols to which the address carried in the Next Hop field may
>    belong is determined by the Address Family Identifier (AFI) and the
>    Subsequent Address Family Identifier (SAFI).  The current AFI/SAFI
>    definitions for the IPv4 address family only have provisions for
>    advertising a Next Hop address that belongs to the IPv4 protocol  
> when
>    advertising an IPv4 Network Layer Reachability Information  
> (NLRI) or
>    a VPN-IPv4 NLRI.  This document specifies the extensions  
> necessary to
>    allow advertising an IPv4 NLRI or a VPN-IPv4 NLRI with a Next Hop
>    address that belongs to the IPv6 protocol.  This comprises an
>    extension of the AFI/SAFI definitions to allow the address of the
>    Next Hop for an IPv4 NLRI or VPN-IPv4 NLRI to also belong to the  
> IPv6
>    protocol, the encoding of the Next Hop in order to determine  
> which of
>    the protocols the address actually belongs to, and a new BGP
>    Capability allowing MP-BGP Peers to dynamically discover whether  
> they
>    can exchange IPv4 NLRI and VPN-IPv4 NLRI with an IPv6 Next Hop.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-lefaucheur-idr-v4nlri- 
> v6nh-01.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username "anonymous" and a password of your e-mail address. After
> logging in, type "cd internet-drafts" and then
> "get draft-lefaucheur-idr-v4nlri-v6nh-01.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-lefaucheur-idr-v4nlri-v6nh-01.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> Content-Type: text/plain
> Content-ID: <[email-masked]>
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr